using FluentValidation;
using Hotline.Share.Dtos.Knowledge;

namespace Hotline.Validators.Knowledge
{
    public class UpdateKnowledgeTypeValidator : AbstractValidator<UpdateKnowledgeTypeDto>
    {
        /// <summary>
        /// 修改为空验证
        /// </summary>
        public UpdateKnowledgeTypeValidator()
        {
            RuleFor(d => d.Id).NotEmpty();
            RuleFor(d => d.Name).NotEmpty();
        }
    }
}
